Skip to content

List top-level secret folders for user

Request

OPA roles:
  • end_user

Lists all top-level secret folders for a user. Users must be authorized to perform this action by an existing security policy.

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
countinteger, (int32)

The number of objects per page

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

prevboolean

The direction of paging

searchstring, <= 1000 characters

Search term to find secrets and folders by name or description properties:

  • Only secrets and folders are returned if you have access to them and if they're not protected by MFA or Access Requests.
  • If you have the security_admin role, then all secret and folder search results are returned (even if you don't have explicit access to them).
  • If you have the resource_admin role and you don't have permission to access the secret in the results, then only the top-level folders are returned.

The returned results are ordered by a closest-similar matching score: exact string matches are ranked higher than partial matches.

Note: The search term is case-insensitive.

Example:search=svc
parent_folder_idstring

The UUID of the parent folder to search secrets and folders within

GET
/v1/teams/{team_name}/secrets
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/secrets?count=0&descending=true&offset=string&prev=true&search=svc&parent_folder_id=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(SecretOrFolderListResponse)
Response
{ "list": [ {} ] }